Widget.register('previsao-meteorologica', {
	container : $('.widget'),
	load : function()
	{
		var createInfo = function(config, data, mini)
		{
			var now = (new Date).getHours();
			var isNight = (now >= 18) || (now <= 5);
			var html = '';

			if(mini)
			{
				html = '<div class="infos mini clearfix">\
							<div class="left">\
								<div class="status mini ' + data.icon + (isNight ? ' night' : '') + '"></div>\
							</div>\
							<div class="left p-l-20">\
								<div class="clearfix">\
									<p class="left temperature">' + data.temperature.max + '&ordm;</p>\
									<p class="left temperature min">' + data.temperature.min + '&ordm;</p>\
								</div>\
								<time>' + data.date + '</time>\
							</div>\
						</div>';
			}
			else
			{
				html = '<div class="infos clearfix">\
							<div>\
								<p class="city text-shadow">Agora em ' + config.name + '</p>\
								<p class="description text-shadow">' + data.status + '</p>\
								<div class="status ' + data.icon + (isNight ? ' night' : '') + '"></div>\
							</div>\
							<div class="p-l-30">\
								<p class="temperature text-shadow">' + data.temperature.max + '&ordm;</p>\
								<p class="temperature text-shadow min">' + data.temperature.min + '&ordm;</p>\
							</div>\
						</div>';
			}

			return $(html);
		};
		var sidebar = this.container.find('aside'), i = -1, info;

		while(++i < this.data.weather.length)
		{
			info = createInfo(this.config, this.data.weather[i], i > 0);

			if(i == 0)
				sidebar.prev().append(info);
			else
				sidebar.append(info);
		}
	},

	animate : function()
	{
		var self = this;
		
		setTimeout(function(){
			self.container.addClass('animate-1');
		}, 500);
		
		setTimeout(function(){
			self.container.addClass('animate-2');
		}, (this.container.data('interval') / 2) * 1000);
	},

	start : function()
	{
		this.data = this.container.data('widget-data');
		this.config = this.container.data('widget-config');
		this.load();
		this.animate();
	},

	stop : function()
	{
		this.container.find('.infos').remove();
		this.container.find('[style]').attr('style', '');
	}
});

Content.on('ready', function(){
	Widget.play('previsao-meteorologica');
});